Skip to content

Retrieving payment information from GIS GMP

The following headers must be passed in all requests:

Name Type Required Description
X-Api-Key string Yes Unique shop identifier
X-Signature string Yes Request signature

The signature is generated using secret_key — the secret key found in the merchant's shop settings.

Request

Method: POST

  • Production: https://api.baas.kvell.group/v1/smev3/gisgmp/export-charges
  • Stage: https://api.baas.stage.kvell.group/v1/smev3/gisgmp/export-charges

Request parameters (JSON)

Field name Data type Required Description
page_number int >=1 No Page number of the returned information
page_length int 1..100 No Number of items per page
conditions dict Yes Conditions for retrieving the payment information
external str No Flag for the type of information provided: 0 — provide information required for paying into the budget system of the Russian Federation, excluding charges administered by Russian tax authorities

Description of the conditions field:

Field name Field type Required Description
kind string Yes Type of information request. Allowed values:
  • charge — unpaid charges
  • chargenotfullmatched — charges not fully matched with payments
  • chargestatus — charges and their reconciliation statuses
  • charge-prior — unpaid preliminary charges
  • charge-prior-notfullmatched — preliminary charges not fully matched with payments
  • charge-prior-status — preliminary charges and their reconciliation statuses
  • temp-charging — unpaid preliminary charges generated by GIS GMP
  • temp-charging-notfullmatched — preliminary charges generated by GIS GMP, not fully matched with payments
  • temp-charging-status — preliminary charges generated by GIS GMP, and their reconciliation statuses
  • charge-list-full — active charges, their reconciliation statuses, and additional charge information
  • charge-offense — additional information on an administrative offense recorded by automatic special technical equipment
conditions dict Yes Conditions for retrieving the information

Specify one of the following three variants of the nested conditions field:

1. Conditions for retrieving information by UIN, with optional additional parameters:

Field name Field type Required Description
typ string (always charges) Yes
start_dtime string (dateTime format) No Start date of the request's time interval
end_dtime string (dateTime format) No End date of the request's time interval
uin_list list of strings (up to 100 elements) Yes List of UINs
payment_method string No Flag indicating payment of the charge via SBP

2. Conditions for retrieving information by payer identifier, with optional additional parameters:

Field name Field type Required Description
typ string (always payers) Yes
inn_list list of strings (up to 100 elements) Conditional List of legal entity INNs
payer_id_list list of strings (up to 100 elements) Conditional List of payer identifiers (individuals, legal entities, sole proprietors, and others)
kbk_list list of strings (up to 10 elements) No List of KBK codes
beneficiary list of elements (up to 10 elements) No List for identifying the fund recipient

Required: either inn_list or payer_id_list must be specified.

3. Conditions for retrieving charge notices for a time interval, with optional additional parameters:

Field name Field type Required Description
typ string (always time) Yes
start_dtime string (dateTime format) Yes Start date of the request's time interval
end_dtime string (dateTime format) Yes End date of the request's time interval
kbk_list list of strings (up to 10 elements) No List of KBK codes
beneficiary list of elements (up to 10 elements) No List for identifying the fund recipient

Format of a list element for identifying the fund recipient, beneficiary:

Field name Field type Required Description
inn string Yes INN of the fund recipient
kpp string No KPP of the fund recipient

Example request

{
  "conditions":
  {
    "kind": "chargestatus",
    "conditions":
    {
      "typ": "charges",
      "uin_list": ["32117072411021588933"]
    }
  },
  "page_length": 100,
  "page_number": 1
}

Building the signature

The X-Signature signature is generated by concatenating X-Api-Key, json <request body>, and secret_key. A sha256 hash is computed from the resulting string:

sha256({x-api-key}{json <request body>}{secret_key})

Request response

{
  "request_id": "7663de3c-f5dc-4938-a379-b63834287b8a"
}
  • request_id — request identifier (used later to retrieve the result).

Retrieving the result

Method: GET

  • Production: https://api.baas.kvell.group/v1/smev3/gisgmp/export-charges/{request_id}
  • Stage: https://api.baas.stage.kvell.group/v1/smev3/gisgmp/export-charges/{request_id}

URL request parameters

Name Data type Required Description
request_id string Yes Request identifier
GET /v1/smev3/gisgmp/export-charges/7663de3c-f5dc-4938-a379-b63834287b8a

Building the signature

The X-Signature signature is generated by concatenating X-Api-Key, request_id, and secret_key. A sha256 hash is computed from the resulting string:

sha256({x-api-key}{request_id}{secret_key})

Request response

{
  "state": "finished",
  "request_id": "befe8815-24b0-446b-925c-ea128f39667c",
  "response_id": "df65dc1c-fc66-41cd-abbd-87218127fbeb",
  "result": {
    "id": "I_66a12db2-8953-2155-1664-dd95394aadb4",
    "request_id": "G_cfe0c895-b33d-33bc-28d8-697f21d9e561",
    "timestamp": "2021-07-01T18:13:51.0",
    "has_more": false,
    "charges":
    [
      {
        "uin": "32117072411021588933",
        "amount_to_pay": 0,
        "ack_status": "1",
        "offence": false,
        "bill_date": "2020-09-30T14:06:30.313+03:00",
        "total_amount": 500000,
        "purpose": "Fee for providing data from the Unified State Register of Real Estate (TEST DATA!)",
        "kbk": "32111301031016000130",
        "oktmo": "45348000",
        "payee":
        {
          "acc_num": "03100643000000019500",
          "bank":
          {
            "bik": "024501901",
            "corr_acc_num": "40102810045370000002"
          },
          "name": "FGBU «FKP Rosreestra» for Moscow",
          "inn": "7705401341",
          "kpp": "770542151"
        },
        "payer":
        {
          "id": "1010000000008751379232",
          "name": "Test payer"
        },
        "budget_index":
        {
          "status": "01",
          "payt_reason": "0",
          "tax_period": "0",
          "tax_docnum": "0",
          "tax_docdate": "0"
        },
        "change_status":
        {
          "meaning": "1"
        }
      }
    ]
  }
}
{
  "state": "finished",
  "request_id": "6ed9f77b-c150-4cdb-adcf-9d70d167f6ab",
  "response_id": null,
  "error": {
    "code": "internal",
    "desc": "Error connecting to SMEV"
  }
}
{
  "error": "request not found"
}
  • state — request status
    • in_progress — being processed
    • finished — completed
  • request_id — request identifier assigned for SMEV3 (optional)
  • response_id — response identifier in the SMEV3 system, if a response was received from the department's information system (Federal Treasury)
  • error — error from the internal service, SMEV, or the department's information system (required if state = finished and result = null)
    • code — error code (required)
    • desc — error description (required)
    • status_code — SMEV3 status HTTP code (optional)
    • destname — request field containing the error from SMEV (optional)
  • result — processing result (required if state = finished and error = null)
    (r) — required, (o) — optional; the field's type is optionally given in parentheses after its name.
  • (r) id: response identifier (returned by the Federal Treasury)
  • (r) request_id: request identifier
  • (r) timestamp: date and time the response was generated
  • (r) has_more (bool): flag indicating the end of the result set: false — end of the result set reached; true — more items exist after the last one provided.
  • (o) repeat_request (bool): flag indicating that the request needs to be repeated. Present in the response if an external system had to be used to answer the request and no response was received from it (the external system is unavailable or an error message was received)
  • (o) charges: list of charge notices; description of a list element:
    • (r) uin: UIN
    • (r) amount_to_pay (int): remaining amount payable as stated in the charge (in kopecks). Negative if overpaid; "0" if paid in full.
    • (o) ack_status: status assigned to the charge upon receipt creation
    • (o) req_checkcode: KPR code, or an error code and description
    • (o) notice_term (int): field number 1011: number of days from the charge date payable by the payer, after which the charge notice must be resubmitted via subscription if it remains unpaid or the payment amount is less than the amount due
    • (o) okved: OKVED code
    • (r) offence (bool): flag for an administrative offense recorded by automatic special technical equipment
    • (r) bill_date (YYYY-MM-DD): field number 4: date, and information about the time period, in which the charge was made, or the time the payable amount was accrued
    • (o) valid_until (YYYY-MM-DD): field number 1001: date up to which the issued charge remains valid
    • (r) total_amount (int): field number 7: charge amount (in kopecks)
    • (o) purpose: field number 24: payment purpose
    • (r) kbk: field number 104: KBK code
    • (r) oktmo: field number 105: OKTMO code, specified by the administrator or chief administrator of budget revenues in accordance with applicable regulations
    • (o) delivery_date (YYYY-MM-DD): field number 37: date the charge document was sent (delivered) to the payer, if such document was sent (delivered) by the recipient of funds to the payer
    • (o) legal_act: field number 1010: information about the regulatory (legal) act that is the basis for calculating the amount payable
    • (o) payment_term (YYYY-MM-DD): field number 19: charge payment deadline in accordance with the regulatory legal act
    • (o) origin: field number 1002: flag for a preliminary charge (PRIOR or TERM)
    • (o) details (dict): extended information about the amount payable:
      • (r) balance (int): amount reflecting the taxpayer's balance on the Unified Tax Account (ENS)
      • (o) debt (int): total amount payable that is past due (arrears)
      • (o) upcoming (int): total amount payable that is not yet due (upcoming payments)
      • (o) info (list): description of each list element:
        • (r) typ: type
        • (r) name: name of the tax, levy, arrears, or penalty on a tax, levy, or insurance contribution
        • (o) amount (int): amount payable
        • (o) due_date: payment deadline (format YYYY-MM-DD)
    • (o) exclude_payments (list): information about payments excluded from the automatic reconciliation process with the charge (list of UPNO)
    • (o) discount (dict): additional payment terms:
      • (o) value: value
      • (o) expiry: discount validity period, possible values: 1) discount end date in "YYYY-MM-DD" format; 2) "0" if there is no expiration
    • (o) add_data (list): field number 202: additional charge fields; fields of each list element:
      • (o) name: field name
      • (o) value: field value
    • (o) linked_uins (list): field number 1003: identifiers of the charges on the basis of which this charge was issued
    • (o) payee (dict): data of the organization receiving the funds:
      • (r) name: field number 16: organization name
      • (r) inn: field number 61: organization's INN
      • (r) kpp: field number 103: organization's KPP
      • (o) ogrn: field number 200: organization's OGRN
      • (o) acc_num: field number 17: treasury account number or the recipient's account number at the recipient's bank
      • (r) bank:
        • (r) bik: field number 14 for the fund recipient. Field number 11 for the organization that accepted the payment. BIC of the territorial treasury body, a credit institution's branch, or a Bank of Russia division where the account is held
        • (o) name: field number 13 for the fund recipient. Field number 10 for the organization that accepted the payment. Name of the territorial treasury body, credit institution's branch, or Bank of Russia division where the account is held
        • (o) corr_acc_num: field number 15 for the fund recipient. Field number 12 for the organization that accepted the payment. Number of the single treasury account or the correspondent account of the credit institution opened at a Bank of Russia division.
    • (o) payer (dict): payer information:
      • (o) name: field number 8: payer
      • (r) id: field number 201: payer identifier
      • (o) add_id: field number 1201: additional payer identifier
    • (o) budget_index (dict): additional payment details as prescribed by Order of the Russian Ministry of Finance No. 107n of November 12, 2013:
      • (r) status: field number 101: payer status — requisite 101 of the order
      • (r) payt_reason: field number 106: payment basis indicator — requisite 106 of the order
      • (r) tax_period: field number 107: tax period indicator, or the code of the customs authority that, in accordance with Russian law, performs functions of developing state policy and regulation, control, and oversight in the field of customs — requisite 107 of the order
      • (r) tax_docnum: field number 108: document number indicator — requisite 108 of the order
      • (r) tax_docdate: field number 109: document date indicator — requisite 109 of the order
    • (o) exec_proc_info (dict): additional information required for enforcement proceedings
    • (o) additional_offence (dict): block of additional information about the administrative offense:
      • (r) date: date and time of the offense (YYYY-MM-DD)
      • (r) place: location of the offense
      • (r) legal_act: article of the offense
      • (r) link: link to photo (video) evidence of the offense
      • (r) department_name: information about the department that issued the decree
    • (o) change_status (dict): information about the charge's status and the basis for its change:
      • (r) meaning (str, enum): status reflecting the data change: 1 — new, 2 — clarification, 3 — cancellation, 4 — de-cancellation
      • (o) reason: basis for the change
      • (o) date: date and time of the clarification
    • (o) reconcile_no_payments (list): information about instances of a charge being settled without a payment; description of a list element:
      • (r) id: operation number of the forced reconciliation of a charge with a payment missing in GIS GMP
      • (r) amount (int): amount of the forced reconciliation operation for a charge with a payment missing in GIS GMP
  • (o) offences (list): additional information about an administrative offense recorded by automatic special technical equipment; description of a list element (dict):
    • (r) uin: UIN
    • (r) date: date and time of the offense (YYYY-MM-DD)
    • (r) place: location of the offense
    • (r) legal_act: article of the offense
    • (r) link: link to photo (video) evidence of the offense
    • (r) department_name: information about the department that issued the decree